# fn:tokenize

fn:tokenize(string? $input, string $pattern) → string*

Function signature

$input | xs:string ?
$pattern | xs:string
Result | xs:string *

Returns a sequence of strings formed by breaking the input string at any substring that matches the given regular expression

XPath 2.0 Specification

Implemented. The facility to split a string into its individual characters by supplying a regex that matches a zero-length string is newly implemented in Saxon 7.7.

Note:Upgraded in Saxon 7.9 to match the precise regex syntax and to support all four flags s, m, i, x. Also changed to disallow a pattern that matches a zero-length string.

fn:tokenize(string? $input, string $pattern, string $flags) → string*

Function signature

$input | xs:string ?
$pattern | xs:string
$flags | xs:string
Result | xs:string *?

Returns a sequence of strings formed by breaking the input string at any substring that matches the given regular expression, using flags to control the way regular expression matching is performed

XPath 2.0 Specification

Note:Upgraded in Saxon 7.9 to match the precise regex syntax and to support all four flags s, m, i, x. Also changed to disallow a pattern that matches a zero-length string.

Expand | Up Next